summaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2009-06-10 04:30:23 +0000
committerChristian Grothoff <christian@grothoff.org>2009-06-10 04:30:23 +0000
commit6ba2f7ddb34b523c2be7de0fb4bcb7ffd210247c (patch)
tree627222133d391e6ce89c918340c448294dcae6ff /contrib
parent1fe97282cb829d6b73c662b8af8d4a7edc0b78ba (diff)
reg
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/regression.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/contrib/regression.sh b/contrib/regression.sh
new file mode 100755
index 000000000..c629f12d1
--- /dev/null
+++ b/contrib/regression.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+cd
+cd gnunet
+echo "================START===================" >> regression.txt
+uname -a >> regression.txt
+svn up >> regression.txt
+export GNUNET_PREFIX=$HOME
+export PATH=$HOME/bin:$PATH
+./bootstrap
+./configure --prefix=$HOME --with-extractor=$HOME --with-microhttpd=$HOME
+make clean
+make install
+make check || echo Failed >> regression.txt
+make check && echo Success >> regression.txt
+echo "================END====================" >> regression.txt
+svn commit -m reg regression.txt